:-[data].
:-[choose_taoist_window].
/**
Sends the status message to the statusgroup
**/

displayStatusMessage(Message):-
	send(@statuslabel,value,Message).

noStatusMessage:-
	displayStatusMessage('').


/**
   @descr Choose between "Request help from a villager" and "attempt an exorcism" 

**/
choice:-
	string(message,villageOrFight,Message),
	string(villageButton,VillageButtonString),
	string(fightButton,FightButtonString),
	button_group(VillageButtonString,FightButtonString),
	send(@statuslabel,value,Message),
	send(@statuslabel,font,new(_,font(helvetica,roman,20))),
	send(@statusbutton,message,message(@prolog,no_choice)),
	send(@statusbutton2,message,message(@prolog,no_choice)).
	
no_choice:-
	send(@statuslabel,value,''),
	free(@buttongroup).


hide_next_action:-
	free(@nextbutton),
	free(@nextgroup).

show_next_action:-
	next_action_group.

label_buddha:-
	send(@statuslabel,value,'Möchtest Du Deinen Buddha platzieren?'),
	send(@statuslabel,font,new(_,font(helvetica,roman,20))),
	button_group('Ja','Nein'),
	send(@statusbutton,message,message(@prolog,buddhas_place)),
	send(@statusbutton2,message,message(@prolog,no_choice)).
	
	
buddhas_place:-
	free(@buttongroup),
	send(@statuslabel,value,'Wo möchtest Du Deinen Buddha platzieren?'),
	send(@statuslabel,font,new(_,font(helvetica,roman,20))).

reset_label_buddha:-
	send(@statuslabel,value,'').

label_choose_taoist:-
	active(_,_,_,_,_,Player),
	send(@statuslabel,value,'Wähle einen Taoisten, den du bewegen möchtest!'),
	choose_taoist(Player).
